# frei0r-mixer-cairoaffineblend

Composites second input on first input applying user-defined transformation, opacity and blend mode

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──frei0r-mixer-cairoaffineblend

## Factory details

Authors: – Sebastian Dröge <sebastian.droege>, Janne Liljeblad</sebastian.droege>

Classification: – `Filter/Editor/Video`

Rank – none

Plugin – frei0r

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink_0`

    video/x-raw:
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `sink_1`

    video/x-raw:
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### anchor-x

    “anchor-x” gdouble

X position of rotation center within the second input

Flags : Read / Write

Default value : 0

### anchor-y

    “anchor-y” gdouble

Y position of rotation center within the second input

Flags : Read / Write

Default value : 0

### blend-mode

    “blend-mode” gchararray

Blend mode used to compose image. Accepted values: 'normal', 'add', 'saturate', 'multiply', 'screen', 'overlay', 'darken', 'lighten', 'colordodge', 'colorburn', 'hardlight', 'softlight', 'difference', 'exclusion', 'hslhue', 'hslsaturation', 'hslcolor', 'hslluminosity'

Flags : Read / Write

Default value : normal

### opacity

    “opacity” gdouble

Opacity of second input

Flags : Read / Write

Default value : 1

### rotation

    “rotation” gdouble

Rotation of second input, value interperted as range 0 - 360

Flags : Read / Write

Default value : 0

### x

    “x” gdouble

X position of second input, value interperted as range -2width - 3width

Flags : Read / Write

Default value : 0.4

### x-scale

    “x-scale” gdouble

X scale of second input, value interperted as range 0 - 5

Flags : Read / Write

Default value : 0.2

### y

    “y” gdouble

Y position of second input, value interperted as range -2height - 3height

Flags : Read / Write

Default value : 0.4

### y-scale

    “y-scale” gdouble

Y scale of second input, value interperted as range 0 - 5

Flags : Read / Write

Default value : 0.2

The results of the search are